API ReferenceCredits

Record a credit transaction

Add, spend, or adjust credit units and record the balance change together.

POST
/v2/credit-transactions

Authorization

AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v2/credit-transactions" \  -H "X-STORE: launch-lab" \  -H "Content-Type: application/json" \  -d '{    "customer_id": 125,    "product_id": 120,    "kind": "grant",    "amount_units": 1000,    "idempotency_key": "credits-grant-01992a65",    "reason": "Launch cohort allocation"  }'
{
  "data": {
    "id": 601,
    "store_id": 1,
    "customer_id": 125,
    "product_id": 120,
    "kind": "grant",
    "amount_units": 1000,
    "idempotency_key": "credits-grant-01992a65",
    "reason": "Launch cohort allocation",
    "balance_after_units": 1000,
    "source_type": null,
    "source_id": null,
    "metadata": {},
    "actor_user_id": 1,
    "created_at": "2026-08-30T12:00:01.000000Z",
    "updated_at": "2026-08-30T12:00:01.000000Z"
  }
}
{
  "data": {
    "id": 601,
    "store_id": 1,
    "customer_id": 125,
    "product_id": 120,
    "kind": "grant",
    "amount_units": 1000,
    "idempotency_key": "credits-grant-01992a65",
    "reason": "Launch cohort allocation",
    "balance_after_units": 1000,
    "source_type": null,
    "source_id": null,
    "metadata": {},
    "actor_user_id": 1,
    "created_at": "2026-08-30T12:00:01.000000Z",
    "updated_at": "2026-08-30T12:00:01.000000Z"
  }
}
{
  "type": "invalid_request_error",
  "code": "bad_request",
  "message": "The request could not be understood.",
  "status": 400,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#bad-request"
}
{
  "type": "authentication_error",
  "code": "unauthenticated",
  "message": "Unauthenticated.",
  "status": 401,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}
{
  "type": "authorization_error",
  "code": "forbidden",
  "message": "This action is unauthorized.",
  "status": 403,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#forbidden"
}
{
  "type": "validation_error",
  "code": "validation_failed",
  "message": "The selected product variant id is invalid.",
  "status": 422,
  "param": "product_variant_id",
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#validation-failed",
  "errors": {
    "product_variant_id": [
      "The selected product variant id is invalid."
    ]
  }
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}